View Issue Details

IDProjectCategoryView StatusLast Update
0001726XdebugUncategorizedpublic2020-11-20 14:26
Reporterdevnexen Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001726: Memory leaks spotted in various places in typical error code paths
DescriptionSome memory allocated via malloc/emalloc not freed in error code paths.
TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Activities

derick

2020-01-12 16:27

administrator   ~0005212

See: https://github.com/xdebug/xdebug/pull/531

derick

2020-11-20 14:26

administrator   ~0005537

Fixed through https://github.com/xdebug/xdebug/pull/689

Issue History

Date Modified Username Field Change
2019-12-08 09:43 devnexen New Issue
2020-01-12 16:27 derick Target Version => 2.9dev
2020-01-12 16:27 derick Note Added: 0005212
2020-03-12 16:23 derick Severity minor => feature
2020-03-12 16:25 derick Severity feature => minor
2020-03-12 16:25 derick Category Feature/Change request => Usage problems (Wrong Results)
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized
2020-06-06 14:13 derick Target Version 2.9dev => 3.0dev
2020-06-20 15:07 derick Status new => acknowledged
2020-11-18 15:40 derick Target Version 3.0dev => 3.0.0
2020-11-20 14:26 derick Assigned To => derick
2020-11-20 14:26 derick Status acknowledged => closed
2020-11-20 14:26 derick Resolution open => fixed
2020-11-20 14:26 derick Fixed in Version => 3.0.0
2020-11-20 14:26 derick Note Added: 0005537